import { BaseError, ErrorStatus } from '@creatio-tech/core';
import { ErrorCode } from '../../enum/error.code';
export declare class InternalError extends BaseError {
    static TypeName: string;
    static validate(instance: InternalError): Promise<BaseError | undefined>;
    validate(): Promise<BaseError | undefined>;
    static plainToClass(source: any): InternalError;
    static classToClass(source: InternalError): InternalError;
    code: ErrorCode;
    constructor();
    constructor(status: ErrorStatus, message: string, code: ErrorCode);
}
