import { BaseError, ErrorStatus } from '@creatio-tech/core';
import { ErrorCode } from '../../enum/error.code';
export declare class ValidationError extends BaseError {
    static TypeName: string;
    static validate(instance: ValidationError): Promise<BaseError | undefined>;
    validate(): Promise<BaseError | undefined>;
    static plainToClass(source: any): ValidationError;
    static classToClass(source: ValidationError): ValidationError;
    code: ErrorCode;
    entityTypeName: string;
    validation: any;
    constructor();
    constructor(status: ErrorStatus, message: string, code: ErrorCode, entityTypeName: string, validation: any);
}
