export declare enum ErrorCode {
    NONE = 0,
    BAD_REQUEST_BASE = 40000,
    BAD_REQUEST_UNIQUE_ENTITY_RULE = 40027,
    BAD_REQUEST_HARD_CODE_BUSINESS_RULE = 40029,
    BAD_REQUEST_LOST_RESOURCE = 40034,
    BAD_REQUEST_CLOUD_PROCESSING_ERROR = 40037,
    BAD_REQUEST_DEPENDENCY_DELETE_ERROR = 40038,
    BAD_REQUEST_PROCESSED_WITH_WARNING = 40060,
    UNAUTHORIZED_BASE = 40100,
    FORBIDDEN_BASE = 40300,
    FORBIDDEN_PLAN_ASSETS_ACCESS = 40302,
    NOT_FOUND_BASE = 40400,
    UNPROCESSABLE_ENTITY_BASE = 42200,
    INTERNAL_SERVER_ERROR_BASE = 50000,
    INTERNAL_SERVER_ERROR_API_SERVER = 50041,
    INTERNAL_SERVER_ERROR_CLOUD_PROCESS = 50042,
    INTERNAL_SERVER_ERROR_EXTERNAL_SERVER = 50043
}
