"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorResponse = void 0;
const routing_controllers_1 = require("routing-controllers");
class ErrorResponse extends routing_controllers_1.HttpError {
    constructor(response) {
        super(response.status);
        this.toString = () => {
            return JSON.stringify(this.response);
        };
        this.httpCode = response.status;
        this.response = response;
        Object.setPrototypeOf(this, ErrorResponse.prototype);
    }
    toJSON() {
        return this.response;
    }
}
exports.ErrorResponse = ErrorResponse;
//# sourceMappingURL=error.response.js.map