import { BaseError, ErrorStatus } from '@creatio-tech/core';
import { ErrorCode } from '../../enum/error.code';
export declare class EntityError extends BaseError {
    static TypeName: string;
    static validate(instance: EntityError): Promise<BaseError | undefined>;
    validate(): Promise<BaseError | undefined>;
    static plainToClass(source: any): EntityError;
    static classToClass(source: EntityError): EntityError;
    code: ErrorCode;
    entityTypeName: string;
    planAssetTypeName: string | undefined;
    constructor();
    constructor(status: ErrorStatus, message: string, code: ErrorCode, entityTypeName: string, planAssetTypeName: string | undefined);
}
