import { BaseError, ErrorStatus } from '@creatio-tech/core';
export declare class UncodedError extends BaseError {
    static TypeName: string;
    static validate(instance: UncodedError): Promise<BaseError | undefined>;
    validate(): Promise<BaseError | undefined>;
    static plainToClass(source: any): UncodedError;
    static classToClass(source: UncodedError): UncodedError;
    constructor();
    constructor(status: ErrorStatus, message: string);
}
