"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorCode = void 0;
var ErrorCode;
(function (ErrorCode) {
    ErrorCode[ErrorCode["NONE"] = 0] = "NONE";
    ErrorCode[ErrorCode["BAD_REQUEST_BASE"] = 40000] = "BAD_REQUEST_BASE";
    ErrorCode[ErrorCode["BAD_REQUEST_UNIQUE_ENTITY_RULE"] = 40027] = "BAD_REQUEST_UNIQUE_ENTITY_RULE";
    ErrorCode[ErrorCode["BAD_REQUEST_HARD_CODE_BUSINESS_RULE"] = 40029] = "BAD_REQUEST_HARD_CODE_BUSINESS_RULE";
    ErrorCode[ErrorCode["BAD_REQUEST_LOST_RESOURCE"] = 40034] = "BAD_REQUEST_LOST_RESOURCE";
    ErrorCode[ErrorCode["BAD_REQUEST_CLOUD_PROCESSING_ERROR"] = 40037] = "BAD_REQUEST_CLOUD_PROCESSING_ERROR";
    ErrorCode[ErrorCode["BAD_REQUEST_DEPENDENCY_DELETE_ERROR"] = 40038] = "BAD_REQUEST_DEPENDENCY_DELETE_ERROR";
    ErrorCode[ErrorCode["BAD_REQUEST_PROCESSED_WITH_WARNING"] = 40060] = "BAD_REQUEST_PROCESSED_WITH_WARNING";
    ErrorCode[ErrorCode["UNAUTHORIZED_BASE"] = 40100] = "UNAUTHORIZED_BASE";
    ErrorCode[ErrorCode["FORBIDDEN_BASE"] = 40300] = "FORBIDDEN_BASE";
    ErrorCode[ErrorCode["FORBIDDEN_PLAN_ASSETS_ACCESS"] = 40302] = "FORBIDDEN_PLAN_ASSETS_ACCESS";
    ErrorCode[ErrorCode["NOT_FOUND_BASE"] = 40400] = "NOT_FOUND_BASE";
    ErrorCode[ErrorCode["UNPROCESSABLE_ENTITY_BASE"] = 42200] = "UNPROCESSABLE_ENTITY_BASE";
    ErrorCode[ErrorCode["INTERNAL_SERVER_ERROR_BASE"] = 50000] = "INTERNAL_SERVER_ERROR_BASE";
    ErrorCode[ErrorCode["INTERNAL_SERVER_ERROR_API_SERVER"] = 50041] = "INTERNAL_SERVER_ERROR_API_SERVER";
    ErrorCode[ErrorCode["INTERNAL_SERVER_ERROR_CLOUD_PROCESS"] = 50042] = "INTERNAL_SERVER_ERROR_CLOUD_PROCESS";
    ErrorCode[ErrorCode["INTERNAL_SERVER_ERROR_EXTERNAL_SERVER"] = 50043] = "INTERNAL_SERVER_ERROR_EXTERNAL_SERVER";
})(ErrorCode || (exports.ErrorCode = ErrorCode = {}));
//# sourceMappingURL=error.code.js.map